This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 57891 - nfs lockd blocking: ext3 is the problem?
nfs lockd blocking: ext3 is the problem?
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-30 21:09 EST by oreilly
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-30 17:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
C file that when compiled demonstrates blocking of locking (1.30 KB, text/plain)
2001-12-30 21:12 EST, oreilly
no flags Details
output of rpcinfo, nfsstat on host(neo) client(grey) (4.15 KB, text/plain)
2001-12-30 21:21 EST, oreilly
no flags Details

  None (edit)
Description oreilly 2001-12-30 21:09:17 EST
Description of Problem:
file locking is blocking (hanging) on my nfs server.  

Version-Release number of selected component (if applicable):
0.3.1-13.7.2.1

How Reproducible:
every time

Steps to Reproduce:
1. exportfs client
2. mount host..
3. run lock_test (see attachment: it hangs)

Actual Results:
locking a file on an nfs mounted file system hangs

Expected Results:
it should lock and then unlock

Additional Information:
the host filesystem is ext3 (converted from an ext2 original) -- perhaps this is 
the problem?  my config used to work under rh 6.2 no problem.  I'm also 
using NIS but I've replicated with this turned off, so it doesn't appear to be 
related to that.  I've tried lots of variations for the exports file and the options 
in the fstab -- nothing seems to make a difference except of course 
specifying nolock in the fstab. 

here is my exports file on server neo:
/usr		grey(rw)
/neo2		grey(rw)
and df output:
/dev/hda5             14555392   8129124   5686880  59% /usr
/dev/hdb1             26312572  12107104  12868864  49% /neo2
and mount output:
/dev/hda5 on /usr type ext3 (rw)
/dev/hdb1 on /neo2 type ext3 (rw)

here is my client fstab:
neo:/usr                  /mnt/neo/usr              nfs    hard,intr,rw
neo:/neo2                 /mnt/neo/neo2             nfs    hard,intr,rw

locking fails on files within both mountpoints.

I'm attaching output of rpcinfo -p, nfsstat, and a lock_test.c program to test, 
which I obtained from Havoc Pennington's post on the gnome.org archive mail 
list, which is concerning this very same problem that I'm having, but 
unfortunately does not provide any fixes:
http://mail.gnome.org/archives/gconf-list/2001-October/msg00046.html

kernel info for the host (and clients are the same):
74 neo:.../updates/7.2# uname -av
Linux neo 2.4.9-7smp #1 SMP Thu Oct 18 13:34:30 EDT 2001 i686 unknown
Comment 1 oreilly 2001-12-30 21:12:46 EST
Created attachment 41511 [details]
C file that when compiled demonstrates blocking of locking
Comment 2 oreilly 2001-12-30 21:21:54 EST
Created attachment 41512 [details]
output of rpcinfo, nfsstat on host(neo) client(grey)
Comment 3 Bob Matthews 2002-01-02 12:31:42 EST
We believe this is fixed in the latest errata kernal.  Can you try the 2.4.9-13
kernel and see if this fixes the problem?
Comment 4 oreilly 2002-01-03 19:49:09 EST
Yep, kernel 2.4.9-13 fixes the problem -- thanks!

Note You need to log in before you can comment on or make changes to this bug.